# IGListAdapterMoveDelegate Protocol Reference

# IGListAdapterMoveDelegate

    @protocol IGListAdapterMoveDelegate <NSObject>

Conform to `IGListAdapterMoveDelegate` to receive interactive reordering requests.

- `-listAdapter:moveObject:from:to:`

  Asks the delegate to move a section object as the result of interactive reordering.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
               moveObject:(nonnull id)object
                     from:(nonnull NSArray *)previousObjects
                       to:(nonnull NSArray *)objects;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, move object: Any, from previousObjects: [Any], to objects: [Any])

  #### Parameters

  `listAdapter` | The list adapter sending this information.
  `object` | the object that was moved
  `previousObjects` | The array of objects prior to the move.
  `objects` | The array of objects after the move.

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.